### Function Macro

# GLib C_STD_CHECK_VERSION

since: 2.76

#### Declaration [src]

    #define G_C_STD_CHECK_VERSION (
      version
    )

#### Description [src]

Macro to check if the current compiler supports a specified `version` of the C standard. Such value must be numeric and can be provided both in the short form for the well-known versions (e.g. `90`, `99`…) or in the complete form otherwise (e.g. `199000L`, `199901L`, `205503L`…).

When a C++ compiler is used, the macro is defined and returns always `FALSE`.

This value is compared against `G_C_STD_VERSION`.

    #if G_C_STD_CHECK_VERSION(17)
    #endif

See also: `G_CXX_STD_CHECK_VERSION`.

Available since: 2.76

This function is not directly available to language bindings.

#### Parameters

`version`

  Type: `-`

  The C version to be checked for compatibility.